StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Macros | Functions
starpu.h File Reference
`#include <stdlib.h>`
`#include <stdint.h>`
`#include <starpu_config.h>`
`#include <starpu_opencl.h>`
`#include <starpu_thread.h>`
`#include <starpu_thread_util.h>`
`#include <starpu_util.h>`
`#include <starpu_data.h>`
`#include <starpu_data_interfaces.h>`
`#include <starpu_data_filters.h>`
`#include <starpu_stdlib.h>`
`#include <starpu_perfmodel.h>`
`#include <starpu_worker.h>`
`#include <starpu_task.h>`
`#include <starpu_task_list.h>`
`#include <starpu_task_util.h>`
`#include <starpu_sched_ctx.h>`
`#include <starpu_expert.h>`
`#include <starpu_rand.h>`
`#include <starpu_cuda.h>`
`#include <starpu_cublas.h>`
`#include <starpu_bound.h>`
`#include <starpu_hash.h>`
`#include <starpu_profiling.h>`
`#include <starpu_top.h>`
`#include <starpu_fxt.h>`
`#include <starpu_driver.h>`
`#include "starpu_deprecated_api.h"`

Go to the source code of this file.

## Data Structures
struct | starpu_conf

## Macros
#define | main

## Functions
int | starpu_conf_init (struct starpu_conf *conf)
int | starpu_init (struct starpu_conf *conf) STARPU_WARN_UNUSED_RESULT
void | starpu_pause ()
void | starpu_resume ()
void | starpu_shutdown (void)
void | starpu_topology_print (FILE *f)
int | starpu_asynchronous_copy_disabled (void)
int | starpu_asynchronous_cuda_copy_disabled (void)
int | starpu_asynchronous_opencl_copy_disabled (void)
void | starpu_display_stats ()
void | starpu_get_version (int *major, int *minor, int *release)